Page MenuHomeSolus

Mount & Blade: Warband - Configuration
Closed, ResolvedPublic

Description

The configuration menu for Mount & Blade: Warband won't open. I've seen the exact same problem on other distro's. It's usually fixed by installing some missing libraries, but they are not available on Solus AFAIK.

On the list of "Working Steam Games", you can find the following comment about the configuration menu:

Game itself works fine, but config launcher still complains about libaudio (this happens with both Steam, and Native runtimes)

If I run "steam/steamapps/common/MountBlade Warband/mbw_config_linux" in terminal I get this error:

steam/steamapps/common/MountBlade Warband/mbw_config_linux: error while loading shared libraries: libsteam_api.so: cannot open shared object file: No such file or directory

If you DuckDuckGo the issue, most of the results consist of installing these missing libraries:

  • libqt4-gui:i386
  • libaudio2:i386
  • libglib2.0-0:i386 (is in repo)
  • libpng12-0:i386 (is in repo)
  • libfreetype6:i386 (is in repo)
  • libxi6:i386 (is in repo)
  • libxrender1:i386 (is in repo)

https://steamcommunity.com/app/48700/discussions/0/617319461013569268/

Event Timeline

WonderingDane updated the task description. (Show Details)

This is not really a correct way of requesting a package. Maybe you should tag it as "Software"?

This is not really a correct way of requesting a package. Maybe you should tag it as "Software"?

Dunno. It's technically packages that are missing for Mount & Blade to work?

JoshStrobl triaged this task as Normal priority.Nov 6 2016, 7:13 PM
JoshStrobl edited projects, added Software; removed Package Requests.
JoshStrobl added a subscriber: JoshStrobl.

libaudio2:i386

What is this meant to be provided by?

libfreetype6:i386

We already have freetype2-32bit

libglib2.0-0:i386

We have glib2-32bit.

WonderingDane updated the task description. (Show Details)Nov 6 2016, 7:35 PM

Then it might just be the 32-bit of qt4 that's missing?

libqt4-gui:i386

And apologies for my poor search skills in the Software Center.

Yea our qt4 isn't multilibbed.

This was fixed a long time ago by including nas package

ikey closed this task as Resolved.Nov 15 2017, 6:46 AM
ikey claimed this task.